#include "MyGLCreatorGeometry3DVisitor.h"
#include "FCylinder.h"
#include "GLFCylinder.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

MyGLCreatorGeometry3DVisitor::MyGLCreatorGeometry3DVisitor()
: GLCreatorGeometry3DVisitor()
{
  // Define new enter function for FCylinder.
  defineNewEnterFunction<MyGLCreatorGeometry3DVisitor, FCylinder>(&MyGLCreatorGeometry3DVisitor::enterFCylinder);
}

void MyGLCreatorGeometry3DVisitor::enterFCylinder(FCylinder *C) const
{
  // Creation of the GLFCylinder.
  GLFCylinder *GC = new GLFCylinder();
  GC->setLink(C);
  globalVariables->getTop()->addChild(GC);
  globalVariables->pushNode(GC);
}
