////////////////////////////////////////////////////////////////////////////////
//                            MyGeometry3DCreator.h                           //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYGEOMETRY3DCREATOR_H
#define MYGEOMETRY3DCREATOR_H

#include <X3DTK/kernel.h>

namespace X3DTK {

// Concrete component Creator for the geometry3D component defining the default 
// X3D nodes.

class MyGeometry3DCreator : public DefaultGeometry3DCreator
{
public:
  // Constructor.
  MyGeometry3DCreator();
  
  // Creates a FCylinder.
  SFNode createFCylinder() const;
};

}

#endif
