////////////////////////////////////////////////////////////////////////////////
//                            MyMemReleaserRootVisitor.h                      //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYMEMRELEASERROOTVISITOR_H
#define MYMEMRELEASERROOTVISITOR_H

#include <X3DTK/memreleaser.h>
#include <X3DTK/kernel.h>

namespace X3DTK {

// Visitor for the Root component of the MemReleaser module.

class MyMemReleaserRootVisitor : public MemReleaserRootVisitor
{
public:
  // Constructor.
  MyMemReleaserRootVisitor();

  // Enters an X3DAbstractNode.
  virtual void enterX3DAbstractNode(X3DAbstractNode *N) const;
  // Enters a Cylinder.
  virtual void enterCylinder(Cylinder *C) const;
};

}

#endif
