////////////////////////////////////////////////////////////////////////////////
//                            DefaultGLDFSGLShapeWalker.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTGLDFSGLSHAPEWALKER_H
#define DEFAULTGLDFSGLSHAPEWALKER_H

#include "DFSGLShapeWalker.h"
#include "GLShapeNodes.h"

namespace X3DTK {

class X3DGLShapeNode;
class GLAppearance;

/// Concrete component walker for the Shape component. 

class DefaultGLDFSGLShapeWalker : public DFSGLShapeWalker
{
public:
  /// Constructor.
  DefaultGLDFSGLShapeWalker();
  /// Destructor.
  virtual ~DefaultGLDFSGLShapeWalker();
  
  virtual void walkX3DGLShapeNode(X3DGLShapeNode *N) const;
  virtual void walkGLAppearance(GLAppearance *A) const;
};

}

#endif
