////////////////////////////////////////////////////////////////////////////////
//                            DefaultNodeCreationProxy.h                      //
////////////////////////////////////////////////////////////////////////////////

#ifndef DEFAULTNODECREATIONPROXY_H
#define DEFAULTNODECREATIONPROXY_H

#include "NodeCreationProxy.h"

namespace X3DTK {

/// Concrete class defining a NodeCreationProxy for the default X3D nodes. The default
/// component creators are set.

class DefaultNodeCreationProxy : public NodeCreationProxy
{
public:  
  /// Constructor.
  DefaultNodeCreationProxy();
  /// Destructor.
  virtual ~DefaultNodeCreationProxy();
};

}

#endif
