////////////////////////////////////////////////////////////////////////////////
//                            GLConverter.h                                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLCONVERTER_H
#define GLCONVERTER_H

namespace X3DTK {

class Scene;
class GLScene;
class X3DGLCreator;
class X3DGLUpdater;

class GLConverter
{
public:
  /// Constructor.
  GLConverter();
  /// Destructor.
  ~GLConverter();

  void setGLCreator(X3DGLCreator *creator);
  void setGLUpdater(X3DGLUpdater *updater);
    
  /// Converts the Scene S in a GLScene.
  GLScene *convert(Scene *s);

protected:
  X3DGLCreator *_glcreator;  
  X3DGLUpdater *_glupdater;  
};

}

#endif
