////////////////////////////////////////////////////////////////////////////////
//                            GLRendererGLCoreVisitor.h                       //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLRENDERERGLCOREVISITOR_H
#define GLRENDERERGLCOREVISITOR_H

#include "GLCoreVisitor.h"
#include "GLRendererGlobalVariables.h"

namespace X3DTK {

class GLScene;

/// Visitor for the GLCore component of the GLRenderer module.

class GLRendererGLCoreVisitor : public GLCoreVisitor
{
public:
  /// Constructor.
  GLRendererGLCoreVisitor();
  /// Destructor.
  virtual ~GLRendererGLCoreVisitor();

  /// Enters a GLScene.
  virtual void enterGLScene(GLScene *G) const;



protected:
  GLRendererGlobalVariables *globalVariables;
};

}

#endif
