////////////////////////////////////////////////////////////////////////////////
//                            GLRendererGLTexturingVisitor.h                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLRENDERERGLTEXTURINGVISITOR_H
#define GLRENDERERGLTEXTURINGVISITOR_H

#include "GLTexturingVisitor.h"
#include "GLRendererGlobalVariables.h"

namespace X3DTK {

class GLImageTexture;

/// Visitor for the GLTexturing component of the GLRenderer module.

class GLRendererGLTexturingVisitor : public GLTexturingVisitor
{
public:
  /// Constructor.
  GLRendererGLTexturingVisitor();
  /// Destructor.
  virtual ~GLRendererGLTexturingVisitor();

  /// Enters a GLImageTexture.
  virtual void enterGLImageTexture(GLImageTexture *G) const;


protected:
  GLRendererGlobalVariables *globalVariables;
};

}

#endif
