////////////////////////////////////////////////////////////////////////////////
//                            GLUpdaterGLGroupingVisitor.h                    //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATERGLGROUPINGVISITOR_H
#define GLUPDATERGLGROUPINGVISITOR_H

#include "GLGroupingVisitor.h"
#include "GLUpdaterGlobalVariables.h"

namespace X3DTK {

class GLGroup;
class GLStaticGroup;
class GLTransform;

/// Visitor for the GLGrouping component of the GLUpdater module.

class GLUpdaterGLGroupingVisitor : public GLGroupingVisitor
{
public:
  /// Constructor.
  GLUpdaterGLGroupingVisitor();
  /// Destructor.
  virtual ~GLUpdaterGLGroupingVisitor();

  /// Enters a GLTransform.
  virtual void enterGLTransform(GLTransform *G) const;
  


protected:
  GLUpdaterGlobalVariables *globalVariables;
};

}

#endif
