////////////////////////////////////////////////////////////////////////////////
//                            X3DGLChildNode.h                                //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLCHILDNODE_H
#define X3DGLCHILDNODE_H

#include "X3DGLNode.h"

namespace X3DTK {

class X3DGLChildNode : public X3DGLNode
{
public:
  /// Constructor.
  X3DGLChildNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLChildNode();

protected:
  /// Copy constructor.
  X3DGLChildNode(const X3DGLChildNode &N);
};

}

#endif
