////////////////////////////////////////////////////////////////////////////////
//                            X3DGLComposedGeometryNode.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLCOMPOSEDGEOMETRYNODE_H
#define X3DGLCOMPOSEDGEOMETRYNODE_H

#include "X3DGLGeometry3DNode.h"

namespace X3DTK {

class X3DGLComposedGeometryNode : public X3DGLGeometry3DNode
{
public:
  /// Constructor.
  X3DGLComposedGeometryNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLComposedGeometryNode();

protected:
  /// Copy constructor.
  X3DGLComposedGeometryNode(const X3DGLComposedGeometryNode &N);
};

}

#endif
