////////////////////////////////////////////////////////////////////////////////
//                            X3DGLCreator.h                                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLCREATOR_H
#define X3DGLCREATOR_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {

class GLScene;

/// X3DGLCreator concept.

class X3DGLCreator : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DGLCreator();
  /// Destructor.
  virtual ~X3DGLCreator() = 0;

  /// Converts S to a GLScene.
  virtual GLScene *create(Scene *S) = 0;
};

}

#endif
