////////////////////////////////////////////////////////////////////////////////
//                            X3DGLTextureTransformNode.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLTEXTURETRANSFORMNODE_H
#define X3DGLTEXTURETRANSFORMNODE_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {

class X3DGLTextureTransformNode : public X3DGLAppearanceChildNode
{
public:  
  /// Constructor.
  X3DGLTextureTransformNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLTextureTransformNode();

protected:
  /// Copy constructor.
  X3DGLTextureTransformNode(const X3DGLTextureTransformNode &N);  
};

}

#endif
