#include "RootVisitor.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

RootVisitor::RootVisitor()
: X3DComponentVisitor()
{
  defineComponentName("Root");
  defineNewEnterFunction<RootVisitor, X3DAbstractNode>(&RootVisitor::enterX3DAbstractNode);
  defineNewWalkOnFunction<RootVisitor, X3DAbstractNode>(&RootVisitor::walkOnX3DAbstractNode);
  defineNewLeaveFunction<RootVisitor, X3DAbstractNode>(&RootVisitor::leaveX3DAbstractNode); 
}

RootVisitor::~RootVisitor()
{
}
  
void RootVisitor::enterX3DAbstractNode(X3DAbstractNode *N) const
{
}

bool RootVisitor::walkOnX3DAbstractNode(X3DAbstractNode *N, SFNode child) const
{
  return true;
}

void RootVisitor::leaveX3DAbstractNode(X3DAbstractNode *N) const
{
}
