#include "RootWalker.h"
#include "NodeVisitingProxy.h"

using namespace X3DTK;

RootWalker::RootWalker()
: X3DComponentWalker()
{
  defineComponentName("Root");
  defineNewWalkingFunction<RootWalker, X3DAbstractNode>(&RootWalker::walkX3DAbstractNode);
}

RootWalker::~RootWalker()
{
}
  
void RootWalker::walkX3DAbstractNode(X3DAbstractNode *N) const
{
  nodeVisitingProxy->enter(N);
  nodeVisitingProxy->leave(N);  
}
