#include "GLCoreWalker.h"
#include "NodeVisitingProxy.h"

using namespace X3DTK;

GLCoreWalker::GLCoreWalker()
{
  defineComponentName("GLCore");
  defineNewWalkingFunction<GLCoreWalker, X3DGLNode>(&GLCoreWalker::walkX3DGLNode);
}

GLCoreWalker::~GLCoreWalker()
{
}
  
void GLCoreWalker::walkX3DGLNode(X3DGLNode *N) const
{
  nodeVisitingProxy->enter(N);
  nodeVisitingProxy->leave(N);  
}
