#include "GLBox.h"
#include "Box.h"
#include "BoxDrawArray.h"

using namespace X3DTK;

GLBox::GLBox()
: X3DGLGeometry3DNode(), _size(SFVec3f(0.0f, 0.0f, 0.0f)), _boxArray(0)
{
  defineTagName("GLBox", "GLGeometry3D");
}

GLBox::GLBox(const GLBox &B)
: X3DGLGeometry3DNode(B), _size(B._size), _boxArray(0)
{
  defineTagName("GLBox", "GLGeometry3D");
}

SFNode GLBox::clone() const
{
  return new GLBox(*this);
}

GLBox::~GLBox()
{
  _boxArray->removeInstance();
}

