#include "GLTriangleStripSet.h"
#include "TriangleStripSet.h"

using namespace X3DTK;

GLTriangleStripSet::GLTriangleStripSet()
: X3DGLComposedGeometryNode(), _ccw(true), _solid(true), _verticesDuplicated(false), _color(false), _texCoord(false)
{
  defineTagName("GLTriangleStripSet", "GLRendering");
}

           
GLTriangleStripSet::GLTriangleStripSet(const GLTriangleStripSet &T)
: X3DGLComposedGeometryNode(T), _ccw(T._ccw), _solid(T._solid), _verticesDuplicated(T._verticesDuplicated), _color(T._color), _texCoord(T._texCoord), _C4F_N3F_V3FvertexStripArrayArray(T._C4F_N3F_V3FvertexStripArrayArray), _N3F_V3FvertexStripArrayArray(T._N3F_V3FvertexStripArrayArray)
{
  defineTagName("GLTriangleStripSet", "GLRendering");
}

SFNode GLTriangleStripSet::clone() const
{
  return new GLTriangleStripSet(*this);
}

GLTriangleStripSet::~GLTriangleStripSet()
{
}
