#include "GLLineProperties.h"
#include "LineProperties.h"

using namespace X3DTK;

GLLineProperties::GLLineProperties()
: X3DGLAppearanceChildNode()
{
  defineTagName("GLLineProperties", "GLShape");
}

GLLineProperties::GLLineProperties(const GLLineProperties &L)
: X3DGLAppearanceChildNode(L)
{  
  defineTagName("GLLineProperties", "GLShape");
}

SFNode GLLineProperties::clone() const
{
  return new GLLineProperties(*this);
}

GLLineProperties::~GLLineProperties()
{
}

