#include "GLCreatorTexturingVisitor.h"
#include "ImageTexture.h"
#include "GLImageTexture.h"

using namespace X3DTK;

GLCreatorTexturingVisitor::GLCreatorTexturingVisitor()
: TexturingVisitor()
{
  // Enter functions.
  defineNewEnterFunction<GLCreatorTexturingVisitor, ImageTexture>(&GLCreatorTexturingVisitor::enterImageTexture);

  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<GLCreatorGlobalVariables>();
}

GLCreatorTexturingVisitor::~GLCreatorTexturingVisitor()
{
}

void GLCreatorTexturingVisitor::enterImageTexture(ImageTexture *I) const
{
  GLImageTexture *GI = new GLImageTexture();
  GI->setLink(I);
  globalVariables->getTop()->addChild(GI);
  globalVariables->pushNode(GI);
}

