#include "MemReleaserRootVisitor.h"
#include "Scene.h"
#include "X3DAbstractNode.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

MemReleaserRootVisitor::MemReleaserRootVisitor()
: RootVisitor()
{
  defineNewEnterFunction<MemReleaserRootVisitor, X3DAbstractNode>(&MemReleaserRootVisitor::enterX3DAbstractNode);
  
  // Leave functions.
  defineNewLeaveFunction<MemReleaserRootVisitor, X3DAbstractNode>(&MemReleaserRootVisitor::leaveX3DAbstractNode);

  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<MemReleaserGlobalVariables>();
}

MemReleaserRootVisitor::~MemReleaserRootVisitor()
{
}

void MemReleaserRootVisitor::enterX3DAbstractNode(X3DAbstractNode *N) const
{
}

void MemReleaserRootVisitor::leaveX3DAbstractNode(X3DAbstractNode *N) const
{
  //cout << "deleted " << N->getName() << endl;
  delete N;
}

