////////////////////////////////////////////////////////////////////////////////
//                            GLFCylinder.h                                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLFCYLINDER_H
#define GLFCYLINDER_H

#include <X3DTK/kernel.h>

namespace X3DTK {

// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
// FCylinder.

class GLFCylinder : public GLCylinder
{
public:
  // Constructor.
  GLFCylinder();
  // Clones the node.
  virtual SFNode clone() const;

protected:
  // Copy constructor.
  GLFCylinder(const GLFCylinder &C);  
};

}

#endif
