////////////////////////////////////////////////////////////////////////////////
//                            MyGLUpdaterGLGeometry3DVisitor.h                //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYGLUPDATERGLGEOMETRY3DVISITOR_H
#define MYGLUPDATERGLGEOMETRY3DVISITOR_H

#include <X3DTK/glupdater.h>

namespace X3DTK {

class GLFCylinder;

// My visitor for the GLGeometry3D component of the GLUpdater module.

class MyGLUpdaterGLGeometry3DVisitor : public GLUpdaterGLGeometry3DVisitor
{
public:
  // Constructor.
  MyGLUpdaterGLGeometry3DVisitor();

  // Enters a GLFCylinder.
  virtual void enterGLFCylinder(GLFCylinder *G) const;
};

}

#endif
