////////////////////////////////////////////////////////////////////////////////
//                            Viewer.h                                        //
////////////////////////////////////////////////////////////////////////////////

#ifndef VIEWER_H
#define VIEWER_H

#include <qglviewer.h>
#include <X3DTK/simplex3dglscene.h>

// Class providing an X3D Viewer by implementing QGLViewer.

class Viewer : public QGLViewer
{
protected :
  void init();
  void draw();
  void keyPressEvent(QKeyEvent *e);
  void loadFile();
  void help();
  
private:
  X3DTK::SimpleX3DGLScene scene;
};

#endif
