////////////////////////////////////////////////////////////////////////////////
//                            GLLineProperties.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLLINEPROPERTIES_H
#define GLLINEPROPERTIES_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {

class LineProperties;

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// LineProperties.

class GLLineProperties : public X3DGLAppearanceChildNode
{
public:
  /// Constructor.
  GLLineProperties();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  ~GLLineProperties();

protected:
  /// Copy constructor.			 
  GLLineProperties(const GLLineProperties &L);
};

}

#endif
