////////////////////////////////////////////////////////////////////////////////
//                            GLUpdater.h                                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATER_H
#define GLUPDATER_H

#include "X3DGLUpdater.h"
#include "GLUpdaterGlobalVariables.h"
#include "DFS.h"

namespace X3DTK {

/// GLUpdater module.

class GLUpdater : public X3DGLUpdater
{
public:
  /// Constructor.
  GLUpdater();
  /// Destructor.
  virtual ~GLUpdater();
  
  void setComponentVisitor(X3DComponentVisitor *component);
  
  /// Updates the GLScene.
  virtual void update(GLScene *S);

protected:
  GLUpdaterGlobalVariables *globalVariables;
  DFS *dfs;
};

}

#endif
