////////////////////////////////////////////////////////////////////////////////
//                            GLUpdaterGlobalVariables.h                      //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATERGLOBALVARIABLES_H
#define GLUPDATERGLOBALVARIABLES_H

#include "GlobalVariables.h"

namespace X3DTK {

/// GlobalVariables for the GLUpdater module.

class GLUpdaterGlobalVariables : public GlobalVariables
{
public:
  /// Constructor.
  GLUpdaterGlobalVariables();
  /// Destructor.
  virtual ~GLUpdaterGlobalVariables();
  
  /// Sets the path of the scene. 
  void setPath(SFString path);
  /// Gets the path of the scene. 
  inline SFString getPath() const {return _path;};

private:
  SFString _path;  
};

}

#endif
