////////////////////////////////////////////////////////////////////////////////
//                            RootWalker.h                                    //
////////////////////////////////////////////////////////////////////////////////

#ifndef ROOTWALKER_H
#define ROOTWALKER_H

#include "X3DComponentWalker.h"

namespace X3DTK {

/// Concrete component walker for the Root component.

class RootWalker : public X3DComponentWalker
{
public:
  /// Constructor.
  RootWalker();
  /// Destructor.
  virtual ~RootWalker();
  
  /// Walks an X3DNode.
  virtual void walkX3DAbstractNode(X3DAbstractNode *N) const;
};

}

#endif
