////////////////////////////////////////////////////////////////////////////////
//                            X3DGLMaterialNode.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLMATERIALNODE_H
#define X3DGLMATERIALNODE_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {

class X3DGLMaterialNode : public X3DGLAppearanceChildNode
{
public:
  /// Constructor.
  X3DGLMaterialNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLMaterialNode();

protected:
  /// Copy constructor.
  X3DGLMaterialNode(const X3DGLMaterialNode &N);
};

}

#endif
