////////////////////////////////////////////////////////////////////////////////
//                            X3DGLRenderer.h                                 //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLRENDERER_H
#define X3DGLRENDERER_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {

class GLScene;

/// X3DGLRenderer module.

class X3DGLRenderer : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DGLRenderer();
  /// Destructor.
  virtual ~X3DGLRenderer() = 0;
  
  /// Renders a GLScene.
  virtual void render(GLScene *S) const = 0;
};

}

#endif
