////////////////////////////////////////////////////////////////////////////////
//                            X3DGLTexture2DNode.h                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLTEXTURE2DNODE_H
#define X3DGLTEXTURE2DNODE_H

#include "X3DGLTextureNode.h"

namespace X3DTK {

class X3DGLTexture2DNode : public X3DGLTextureNode
{ 
public:  
  /// Constructor.
  X3DGLTexture2DNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLTexture2DNode();

protected:
  /// Copy constructor.	
  X3DGLTexture2DNode(const X3DGLTexture2DNode &N);
};

}

#endif
