////////////////////////////////////////////////////////////////////////////////
//                            X3DSceneToFile.h                                //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DSCENETOFILE_H
#define X3DSCENETOFILE_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {

class Scene;

/// SceneToFile module.

class X3DSceneToFile : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DSceneToFile();
  /// Destructor.
  virtual ~X3DSceneToFile() = 0;
  
  /// Writes the content of S in file.
  virtual void toFile(Scene *S, const SFString &file) const = 0;
};

}

#endif
