TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dttalgo

VPATH = . \
        DefaultX3DProcessors

TARGETDEPS = ../../../lib/libx3dtypes.a \
             ../../../lib/libx3dnodes.a \
             ../../../lib/libx3dnodeproxy.a \
               
HEADERS = X3DProcessor.h \
          X3DOnePassProcessor.h \
          X3DTTAlgorithm.h \
          GlobalVariables.h \
          GVManager.h \
          DFS.h \
          DefaultDFS.h \
          DFSCoreWalker.h \
          DFSGeometry3DWalker.h \
          DFSGroupingWalker.h \
          DFSRenderingWalker.h \
          DFSShapeWalker.h \
          DFSTexturingWalker.h \
          DefaultDFSCoreWalker.h \
          DefaultDFSGeometry3DWalker.h \
          DefaultDFSGroupingWalker.h \
          DefaultDFSRenderingWalker.h \
          DefaultDFSShapeWalker.h \
          DefaultDFSTexturingWalker.h \
          DFSGLCoreWalker.h \
          DFSGLGeometry3DWalker.h \
          DFSGLGroupingWalker.h \
          DFSGLRenderingWalker.h \
          DFSGLShapeWalker.h \
          DFSGLTexturingWalker.h \
          DefaultGLDFS.h \
          DefaultGLDFSGLCoreWalker.h \
          DefaultGLDFSGLGeometry3DWalker.h \
          DefaultGLDFSGLGroupingWalker.h \
          DefaultGLDFSGLRenderingWalker.h \
          DefaultGLDFSGLShapeWalker.h \
          DefaultGLDFSGLTexturingWalker.h \
          X3DBboxUpdater.h \
          X3DGLCreator.h  \
          X3DGLRenderer.h  \
          X3DGLUpdater.h  \
          X3DMemReleaser.h  \
          X3DSceneToFile.h
          
          

SOURCES = X3DProcessor.cpp \
          X3DOnePassProcessor.cpp \
          X3DTTAlgorithm.cpp \
          GlobalVariables.cpp \
          GVManager.cpp \
          DFS.cpp \
          DefaultDFS.cpp \
          DFSCoreWalker.cpp \
          DFSGeometry3DWalker.cpp \
          DFSGroupingWalker.cpp \
          DFSRenderingWalker.cpp \
          DFSShapeWalker.cpp \
          DFSTexturingWalker.cpp \
          DefaultDFSCoreWalker.cpp \
          DefaultDFSGeometry3DWalker.cpp \
          DefaultDFSGroupingWalker.cpp \
          DefaultDFSRenderingWalker.cpp \
          DefaultDFSShapeWalker.cpp \
          DefaultDFSTexturingWalker.cpp \
          DFSGLCoreWalker.cpp \
          DFSGLGeometry3DWalker.cpp \
          DFSGLGroupingWalker.cpp \
          DFSGLRenderingWalker.cpp \
          DFSGLShapeWalker.cpp \
          DFSGLTexturingWalker.cpp \
          DefaultGLDFS.cpp \
          DefaultGLDFSGLCoreWalker.cpp \
          DefaultGLDFSGLGeometry3DWalker.cpp \
          DefaultGLDFSGLGroupingWalker.cpp \
          DefaultGLDFSGLRenderingWalker.cpp \
          DefaultGLDFSGLShapeWalker.cpp \
          DefaultGLDFSGLTexturingWalker.cpp \
          X3DBboxUpdater.cpp \
          X3DGLCreator.cpp  \
          X3DGLRenderer.cpp  \
          X3DGLUpdater.cpp  \
          X3DMemReleaser.cpp  \
          X3DSceneToFile.cpp
          

include(../../x3dtoolkit.pri)
