#include "GLCone.h"
#include "Cone.h"
#include "ConeDrawArray.h"

using namespace X3DTK;

GLCone::GLCone()
: X3DGLGeometry3DNode(), _bottomRadius(0.0f), _height(0.0f), _side(false), _bottom(false), _coneArray(0)
{
  defineTagName("GLCone", "GLGeometry3D");
}

GLCone::GLCone(const GLCone &C)
: X3DGLGeometry3DNode(C), _bottomRadius(C._bottomRadius), _height(C._height), _side(C._side), _bottom(C._bottom), _coneArray(0)
{
  defineTagName("GLCone", "GLGeometry3D");
}

SFNode GLCone::clone() const
{
  return new GLCone(*this);
}

GLCone::~GLCone()
{  
  _coneArray->removeInstance();
}
