#include "X3DListener.h"

using namespace X3DTK;

X3DListener::X3DListener()
{
}

X3DListener::~X3DListener()
{
}

void X3DListener::pushAddedNode(SFNode N)
{
  addedNodes.push_back(N);
}

SFNode X3DListener::popAddedNode()
{
  SFNode N = addedNodes.front();
  addedNodes.pop_front();
  return N;
}
  
void X3DListener::pushRemovedNode(SFNode N)
{
  removedNodes.push_back(N);
}

SFNode X3DListener::popRemovedNode()
{
  SFNode N = removedNodes.front();
  removedNodes.pop_front();
  return N;
}

void X3DListener::pushAddedLink(SFNodeLink L)
{
  addedLinks.push_back(L);
}

SFNodeLink X3DListener::popAddedLink()
{
  SFNodeLink L = addedLinks.front();
  addedLinks.pop_front();
  return L;
}

void X3DListener::pushRemovedLink(SFNodeLink L)
{
  removedLinks.push_back(L);
}

SFNodeLink X3DListener::popRemovedLink()
{
  SFNodeLink L = removedLinks.front();
  removedLinks.pop_front();
  return L;
}
