#include "QFileElement.h"

using namespace X3DTK;

void QFileElement::setName(const QString &name)
{
  name_ = name;
}

void QFileElement::setAttributes(const QXmlAttributes &attributes)
{
  attributes_ = attributes;
}

SFString QFileElement::getName() const
{
  return (const char *)name_;
}

SFString QFileElement::getAttribute(int i) const
{
  return (const char *)attributes_.value(i);
}

int QFileElement::getIndexAttribute(const SFString &attribute) const
{
  return attributes_.index((QString((const char *)attribute)));
}
