#include "Group.h"

using namespace X3DTK;

Group::Group()
: X3DGroupingNode(), X3DBoundedObject()
{
  defineTagName("Group", "Grouping");
}

Group::Group(const SFVec3f &bboxCenter, const SFVec3f &bboxSize)
: X3DGroupingNode(), X3DBoundedObject(bboxCenter, bboxSize)
{
  defineTagName("Group", "Grouping");
}

Group::Group(const Group &G)
: X3DGroupingNode(G), X3DBoundedObject(G)
{
  defineTagName("Group", "Grouping");
}

SFNode Group::clone() const
{
  return new Group(*this);
}

Group::~Group()
{
}

void Group::loadAttributes(const X3DFileElement *element)
{ 
  X3DBoundedObject::loadAttributes(element);
}

SFString Group::writeAttributes() const
{
  return X3DBoundedObject::writeAttributes();
}
